Subject: Re: bug#37168: debbugs: Make bug list update asynchronous

From: Michael Albinus <[email-masked]>
Date: Sat, 24 Aug 2019 20:28:08 +0200

Stefan Kangas <[email-masked]> writes:

Hi Stefan,

>> >> Bug retrieving happens in two phases. The first phase, getting the bug
>> >> numbers in question, cannot be performed asynchronously, because it is
>> >> just one request to the debbugs server.
>> >
>> > Would url-retrieve work for this?
>>
>> Nope. debbugs.el uses the SOAP interface of the debbugs server.
>
> Thanks.  I'm not sure if I'm missing something obvious here, but...
> What about soap-invoke-async?

This is performed already. As I wrote, the second request, retrieving
information about (severeal hundred of) bugs, is applied asynchronously,
using `soap-invoke-async'. See `debbugs-get-status'.

> Best regards,
> Stefan Kangas

Best regards, Michael.